function exportaxesCA4(hObject, eventdata, Empty_Button, AxesC, AxesA, AxesSOLC, AxesSOLA, uonoff, uonoffC, lvText, lvSlider)
data = get(Empty_Button,'UserData');
SelTyp = get(gcbf, 'SelectionType');

if strcmp(SelTyp,'alt') == 1
    if max(data.afscomputed) == 0
        return;
    end
    
    pt = get(hObject, 'CurrentPoint');
    sz = get(hObject, 'Position');
    x = pt(1,1:2)./sz(1,3:4);
    
    posC    = get(AxesC, 'Position');
    posA    = get(AxesA, 'Position');
    posSOLC = get(AxesSOLC, 'Position');
    posSOLA = get(AxesSOLA, 'Position');
    
    if (posC(1) < x(1)) && (x(1) < posC(1)+posC(3)) && (posC(2) < x(2)) && (x(2) < posC(2)+posC(4))
        tmpc = figure;
        colormap([1:-0.03:0.6]'*[1 1 1]);
        copyobj(AxesC,tmpc);
        tmpa = get(tmpc,'CurrentAxes');
        set(tmpa,'position',[0.15 0.15 0.75 0.75]);
        title(tmpa, 'AFS for factor C');
        xlabel(tmpa,'\alpha','interpreter','tex');
        ylabel(tmpa,'\beta','interpreter','tex');
        
    elseif (posA(1) < x(1)) && (x(1) < posA(1)+posA(3)) && (posA(2) < x(2)) && (x(2) < posA(2)+posA(4))
        tmpc = figure;
        colormap([1:-0.03:0.6]'*[1 1 1]);
        copyobj(AxesA,tmpc);
        tmpa = get(tmpc,'CurrentAxes');
        set(tmpa,'position',[0.15 0.15 0.75 0.75]);
        title(tmpa, 'AFS for factor A');
        xlabel(tmpa,'\alpha','interpreter','tex');
        ylabel(tmpa,'\beta','interpreter','tex');
        
    elseif (posSOLC(1) < x(1)) && (x(1) < posSOLC(1)+posSOLC(3)) && (posSOLC(2) < x(2)) && (x(2) < posSOLC(2)+posSOLC(4))
        tmpc = figure;
        copyobj(AxesSOLC,tmpc);
        tmpa = get(tmpc,'CurrentAxes');
        set(tmpa,'position',[0.15 0.15 0.75 0.75]);
        title(tmpa, 'Factor C');
        xlabel(tmpa,'time','interpreter','tex');
        ylabel(tmpa,'normalized concentration');
        
    elseif (posSOLA(1) < x(1)) && (x(1) < posSOLA(1)+posSOLA(3)) && (posSOLA(2) < x(2)) && (x(2) < posSOLA(2)+posSOLA(4))
        tmpc = figure;
        copyobj(AxesSOLA,tmpc);
        tmpa = get(tmpc,'CurrentAxes');
        set(tmpa,'position',[0.15 0.15 0.75 0.75]);
        title(tmpa, 'Factor A');
        xlabel(tmpa,'channels','interpreter','tex');
        ylabel(tmpa,'normalized absorption');
        
    end
end
